<?php
include("../config/conexion.php");
$msg="";

if(isset($_POST['guardar'])){
  if($_POST['usuario'] && $_POST['clave'] && $_POST['correo']){
    $u=$_POST['usuario'];
    $c=password_hash($_POST['clave'], PASSWORD_DEFAULT);
    $e=$_POST['correo'];

    mysqli_query($cn,
      "INSERT INTO usuarios(usuario,clave,correo)
       VALUES('$u','$c','$e')");
    $msg="Usuario creado correctamente";
  } else {
    $msg="Todos los campos son obligatorios";
  }
}
?>
<!DOCTYPE html>
<html>
<body>
<h2>Crear usuario</h2>
<form method="post">
<input name="usuario" placeholder="Usuario">
<input type="password" name="clave" placeholder="Contraseña">
<input name="correo" placeholder="Correo">
<button name="guardar">Guardar</button>
</form>
<p><?= $msg ?></p>
<a href="../index.php">Volver</a>
</body>
</html>